## ros-galactic-velodyne-laserscan 2.3.0

=== debian/changelog ===
ros-galactic-velodyne-laserscan (2.3.0-1focal) focal; urgency=high

  * Updating maintainer email address. (#450 <https://github.com/ros-drivers/velodyne/issues/450>)
    * Updating maintainer email address.
    * chore: update maintainer email address
    Co-authored-by: Joshua Whitley <mailto:jwhitley@autonomoustuff.com>
  * Fix small warnings from build and test.
  * Add laserscan support for new PointXYZIR structure (#316 <https://github.com/ros-drivers/velodyne/issues/316>) (#439 <https://github.com/ros-drivers/velodyne/issues/439>)
    * Add laserscan support for new PointXYZIR structure
    * Support PointCloud2 offsets that are multiples of 4
    Co-authored-by: Kevin Hallenbeck <mailto:khallenbeck@dataspeedinc.com>
  * Replace deprecated argument names in launch (#430 <https://github.com/ros-drivers/velodyne/issues/430>)
  * 2.1.1
  * Updating for first Galactic release
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Joshua Whitley, Keane Quigley

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Fri, 08 Jul 2022 05:00:00 -0000

ros-galactic-velodyne-laserscan (2.1.1-1focal) focal; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 23 Aug 2021 05:00:00 -0000

ros-galactic-velodyne-laserscan (2.1.0-1focal) focal; urgency=high

  * Fixing Foxy-specific uncrustify errors.
  * Contributors: Joshua Whitley

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 10 Jul 2020 05:00:00 -0000

ros-galactic-velodyne-laserscan (2.0.0-1focal) focal; urgency=high

  * Fix dependencies in package.xml (#331 <https://github.com/ros-drivers/velodyne/issues/331>)
    Ensure that we depend on ament_cmake_ros as appropriate.
  * Fix ring retrieval from float pointcloud iterator. (#322 <https://github.com/ros-drivers/velodyne/issues/322>)
    * Fix ring retrieval from float pointcloud iterator.
  * Fixes pointed out by clang-tidy (#310 <https://github.com/ros-drivers/velodyne/issues/310>)
    * Rearrange header includes so clang-tidy is happy.
    * Get rid of unnecessary void arguments on methods.
    * Properly mark methods as override where appropriate.
    * Initialize members and stack variables to zero before use.
    * Mark function implementations in header files 'inline'.
    * Use more efficient 'empty' method instead of empty string.
    * Get rid of unnecessary else statements after a continue/return.
    * Get rid of unnecessary == false use.
    * Make sure to add a virtual destructor to DataContainerBase.
    * Use string != comparison instead of 'compare' method.
    * Rename PointcloudXYZIR parameter name to match implementation.
    * Get rid of usage of typedef.
    * Be more explicit about using floats.
    * Do an explicit lround to do int->float conversion.
    * Fix the intensity calculation.
    * Remove the azimuth from addPoint.
    * Make sure to reset the cloud data to 0 before reusing.
    * Use underscores on pointcloud member variables.
    * Using std::lround means we don't need to add 0.5 to the result.
    * Slightly rearrange and simplify range checks.
    * Add in example launch files for VLP32C.
  * Dashing fixes (#307 <https://github.com/ros-drivers/velodyne/issues/307>)
    * Use std::make_unique as appropriate.
    * Fix the azimuth calculation.
    * Fix a crash during driver startup.
    * Always recalculate the row_step while setting up the cloud.
    * Make sure to call computeTransformation.
    * Fix style errors pointed out by flake8.
  * ROS2: Add Linters to velodyne_laserscan (#303 <https://github.com/ros-drivers/velodyne/issues/303>)
    * Adding tests and updating file naming.
    * Fixing copyright and xml issues.
    * Fixing linter stuff on velodyne_laserscan.
    * Fixing typo in conversion.
  * Switch the style on scope-constants to google style.
  * Add in example launch files.
  * Disable copy, move, and assign operators.
  * Build the components so the velodyne can be run as a component.
  * Add in NodeOptions to node constructors.
  * Make sure to install the header files for laserscan and pointcloud.
  * Switch to RCLCPP_WARN_ONCE.
  * Make sure to only print the "slower generic method" message once.
  * Add explicit, final, and override to classes where appropriate.
  * Merge pull request #251 <https://github.com/ros-drivers/velodyne/issues/251> from clalancette/dashing-devel3
    ROS 2 Dashing port
  * Merge pull request #234 <https://github.com/ros-drivers/velodyne/issues/234> from kmhallen/c++11
    Set minimum C++ standard to C++11
  * Merge pull request #231 <https://github.com/ros-drivers/velodyne/issues/231> from ros-drivers/ci/test_better_output
    CI: Adding roslint as separate step. Limiting output of catkin build.
  * Merge pull request #227 <https://github.com/ros-drivers/velodyne/issues/227> from ros-drivers/roslint
    Applying roslint to velodyne_pointcloud.
  * Merge pull request #226 <https://github.com/ros-drivers/velodyne/issues/226> from ros-drivers/roslint
    Adding roslint to velodyne_laserscan
  * Contributors: Chris Lalancette, Joshua Whitley, Kevin Hallenbeck, Matthew Pitropov, Michel Hidalgo, Sebastian, Sebastian Pütz

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 10 Jul 2020 05:00:00 -0000

ros-galactic-velodyne-laserscan (1.5.2-1focal) focal; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 28 Jan 2019 06:00:00 -0000

ros-galactic-velodyne-laserscan (1.5.1-1focal) focal; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 10 Dec 2018 06:00:00 -0000

ros-galactic-velodyne-laserscan (1.5.0-1focal) focal; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 19 Oct 2018 05:00:00 -0000

ros-galactic-velodyne-laserscan (1.4.0-1focal) focal; urgency=high

  * Merge pull request #170 <https://github.com/ros-drivers/velodyne/issues/170> from ros-drivers/maint/move_header_files
  * Moving header files to traditional location inside include folders.

